summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorArchadept2015-06-22 16:59:22 +0200
committerArchadept2015-06-22 16:59:22 +0200
commitabffb7de0a7aeacfdc15d968ec2b313d3be8de89 (patch)
tree82462459842448bd62951eeb2480a38e9985b147 /PKGBUILD
downloadaur-abffb7de0a7aeacfdc15d968ec2b313d3be8de89.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..87b210f4df9
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Archadept
+# Revision: 2015-02-04
+
+pkgname=wesnoth-git
+_gitname=wesnoth
+pkgver=1.11.11.4439.g0771fdd
+pkgrel=1
+pkgdesc="The latest version of a turn-based strategy game on a fantasy world"
+arch=('x86_64')
+url="http://www.wesnoth.org/"
+license=('GPL')
+depends=('boost' 'fribidi' 'lua' 'sdl' 'sdl_ttf' 'sdl_net' 'sdl_mixer' 'sdl_image')
+makedepends=('openssh' 'python' 'scons' 'git')
+conflicts=('wesnoth' 'wesnoth-data' 'wesnoth-devel')
+provides=('wesnoth')
+
+source=('git://github.com/wesnoth/wesnoth.git')
+md5sums=('SKIP')
+
+pkgver() {
+ cd ${_gitname}
+ git describe --always | sed 's/-/./g'
+}
+
+build() {
+ cd "${srcdir}"
+
+ rm -rf ${srcdir}/$_gitname-build
+ cp -r ${_gitname} ${_gitname}-build || return 1
+}
+
+package() {
+ cd ${_gitname}-build
+
+ scons prefsdir=.config/$pkgname prefix=/usr debug=yes || return 1
+ scons destdir=${pkgdir} install || return 1
+}